org.bdgenomics.adam.converters

# DefaultHeaderLines

#### object DefaultHeaderLines

Default set of VCF header lines for INFO and GT format fields supported in ADAM.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DefaultHeaderLines
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### lazy val allHeaderLines: Seq[VCFHeaderLine]

   Default set of VCF header lines for INFO and GT format fields supported in ADAM.

7. #### lazy val alleleCount: VCFInfoHeaderLine

8. #### lazy val alleleFrequency: VCFInfoHeaderLine

9. #### lazy val allelicDepth: VCFFormatHeaderLine

10. #### lazy val ancestralAllele: VCFInfoHeaderLine

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### lazy val cigar: VCFInfoHeaderLine

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### lazy val dbSnp: VCFInfoHeaderLine

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### lazy val fisherStrand: VCFFormatHeaderLine

19. #### lazy val formatHeaderLines: Seq[VCFFormatHeaderLine]

    Default set of VCF header lines for GT format fields supported in ADAM.

20. #### lazy val formatReadDepth: VCFFormatHeaderLine

21. #### lazy val forwardReadDepth: VCFInfoHeaderLine

22. #### lazy val genotype: VCFFormatHeaderLine

23. #### lazy val genotypeFilter: VCFFormatHeaderLine

24. #### lazy val genotypeQuality: VCFFormatHeaderLine

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### lazy val hapMap2: VCFInfoHeaderLine

27. #### lazy val hapMap3: VCFInfoHeaderLine

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### lazy val infoHeaderLines: Seq[VCFInfoHeaderLine]

    Default set of VCF header lines for INFO fields supported in ADAM.

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### lazy val mapq0: VCFFormatHeaderLine

32. #### lazy val minReadDepth: VCFFormatHeaderLine

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### lazy val phaseQuality: VCFFormatHeaderLine

37. #### lazy val phaseSetId: VCFFormatHeaderLine

38. #### lazy val phredLikelihoods: VCFFormatHeaderLine

39. #### lazy val readDepth: VCFInfoHeaderLine

40. #### lazy val reverseReadDepth: VCFInfoHeaderLine

41. #### lazy val rmsMapq: VCFFormatHeaderLine

42. #### lazy val somatic: VCFInfoHeaderLine

43. #### lazy val strandBiasComponents: VCFFormatHeaderLine

44. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

45. #### lazy val thousandGenomes: VCFInfoHeaderLine

46. #### def toString(): String

    Definition Classes
      AnyRef → Any

47. #### lazy val transcriptEffects: VCFInfoHeaderLine

48. #### lazy val validated: VCFInfoHeaderLine

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped